Method: projects.locations.accessSummaries.list

Lists access summaries in a given project and location. Supported filters: - workloadId: Filter by the SPIFFE ID of the agent. Example: workloadId="spiffe://example.com/ns/default/sa/my-agent"

HTTP request

GET https://agentidentity.googleapis.com/v1/{parent=projects/*/locations/*}/accessSummaries

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where the search is performed. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. The maximum page size is 1000.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. Filter string to restrict the results.

Currently supports filtering by workloadId or authProviderName. If no filter is provided, returns all access summaries for the requested project and location. Format: workloadId="<value>" or authProviderName="<value>"

orderBy

string

Optional. This field is currently ignored. Defaults to ordering by (authProviderId, userId) in ascending order.

Request body

The request body must be empty.

Response body

Response message for accessSummaries.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "accessSummaries": [
    {
      object (AccessSummary)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
accessSummaries[]

object (AccessSummary)

The list of access summaries.

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentidentity.accessSummaries.list

For more information, see the IAM documentation.